Bug 183824 - [PATCH] graphics/Coin: fix building of x11-toolkits/SoXt
Summary: [PATCH] graphics/Coin: fix building of x11-toolkits/SoXt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-09 22:10 UTC by Muhammad Moinur Rahman
Modified: 2013-12-01 15:50 UTC (History)
1 user (show)

See Also:


Attachments
Coin-3.1.3_4.patch (2.29 KB, patch)
2013-11-09 22:10 UTC, Muhammad Moinur Rahman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Moinur Rahman freebsd_committer 2013-11-09 22:10:00 UTC
[DESCRIBE CHANGES]
- Fix building of x11-toolkits/SoXt which depends of graphics/Coin
- Add LICENSE support
- Add STAGE support

Building of x11-toolkits/SoXt used to fail with CLANG in 10 and head.
http://www.mail-archive.com/freebsd-pkg-fallout@freebsd.org/msg43819.html
This patch helps building that with CLANG support. After the patches applied the log files
are as following for x11-toolkits/SoXt:
http://pdr.s.ubze.ro/bulk/latest-per-pkg/SoXt/1.3.0_1/84i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/SoXt/1.3.0_1/84amd64-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/SoXt/1.3.0_1/92i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/SoXt/1.3.0_1/92amd64-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/SoXt/1.3.0_1/10b3i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/SoXt/1.3.0_1/10b3amd64-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/SoXt/1.3.0_1/11i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/SoXt/1.3.0_1/11amd64-default.log

For Committer's reference:
http://pdr.s.ubze.ro/bulk/latest-per-pkg/Coin/3.1.3_4/84i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/Coin/3.1.3_4/84amd64-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/Coin/3.1.3_4/92i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/Coin/3.1.3_4/92amd64-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/Coin/3.1.3_4/10b3i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/Coin/3.1.3_4/10b3amd64-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/Coin/3.1.3_4/11i386-default.log
http://pdr.s.ubze.ro/bulk/latest-per-pkg/Coin/3.1.3_4/11amd64-default.log

Port maintainer (cristianorolim@hotmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-11-09 22:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-11-09 22:10:10 UTC
Maintainer of graphics/Coin,

Please note that PR ports/183824 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183824

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-11-09 22:10:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2013-12-01 15:49:09 UTC
Author: sunpoet
Date: Sun Dec  1 15:49:02 2013
New Revision: 335398
URL: http://svnweb.freebsd.org/changeset/ports/335398

Log:
  - Fix build of x11-toolkits/SoXt which depends on graphics/Coin
  - Add LICENSE
  - Support STAGEDIR
  
  PR:		ports/183824
  Submitted by:	Muhammad Moinur Rahman <5u623l20@gmail.com>
  Approved by:	maintainer (timeout, 21 days)

Added:
  head/graphics/Coin/files/patch-include-Inventor-SbBasic.h   (contents, props changed)
Modified:
  head/graphics/Coin/Makefile   (contents, props changed)
  head/graphics/Coin/pkg-plist   (contents, props changed)

Modified: head/graphics/Coin/Makefile
==============================================================================
--- head/graphics/Coin/Makefile	Sun Dec  1 15:36:26 2013	(r335397)
+++ head/graphics/Coin/Makefile	Sun Dec  1 15:49:02 2013	(r335398)
@@ -3,7 +3,7 @@
 
 PORTNAME=	Coin
 PORTVERSION=	3.1.3
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	graphics
 MASTER_SITES=	http://ftp.coin3d.org/coin/src/all/ \
 		ftp://ftp.coin3d.org/pub/coin/src/all/
@@ -11,7 +11,9 @@ MASTER_SITES=	http://ftp.coin3d.org/coin
 MAINTAINER=	cristianorolim@hotmail.com
 COMMENT=	C++ 3D graphics library based on the Open Inventor 2.1 API
 
-LIB_DEPENDS=	simage.27:${PORTSDIR}/graphics/simage
+LICENSE=	BSD
+
+LIB_DEPENDS=	libsimage.so:${PORTSDIR}/graphics/simage
 
 USE_GCC=	any
 USE_OPENAL=	al
@@ -24,9 +26,6 @@ CONFIGURE_ARGS=	--with-pthread=yes --ena
 USE_LDCONFIG=	yes
 MAKE_ENV=	LANG=C
 
-MAN1=		coin-config.1
-
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e 's|DATA install-data-local|DATA|g' ${WRKSRC}/Makefile.in
 	@${REINPLACE_CMD} -e 's|-pthread|${PTHREAD_LIBS}|g' ${WRKSRC}/configure

Added: head/graphics/Coin/files/patch-include-Inventor-SbBasic.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/Coin/files/patch-include-Inventor-SbBasic.h	Sun Dec  1 15:49:02 2013	(r335398)
@@ -0,0 +1,10 @@
+--- include/Inventor/SbBasic.h.orig	2010-03-02 21:20:09.000000000 +0800
++++ include/Inventor/SbBasic.h	2013-12-01 05:17:51.275860731 +0800
+@@ -25,6 +25,7 @@
+ \**************************************************************************/
+ 
+ #include <Inventor/C/basic.h>
++#include <Inventor/C/errors/debugerror.h>
+ 
+ /* ********************************************************************** */
+ /* Trap people trying to use Inventor headers while compiling C source code.

Modified: head/graphics/Coin/pkg-plist
==============================================================================
--- head/graphics/Coin/pkg-plist	Sun Dec  1 15:36:26 2013	(r335397)
+++ head/graphics/Coin/pkg-plist	Sun Dec  1 15:49:02 2013	(r335398)
@@ -827,6 +827,7 @@ lib/libCoin.la
 lib/libCoin.so
 lib/libCoin.so.61
 libdata/pkgconfig/Coin.pc
+man/man1/coin-config.1.gz
 %%DATADIR%%/conf/coin-default.cfg
 %%DATADIR%%/draggerDefaults/centerballDragger.iv
 %%DATADIR%%/draggerDefaults/directionalLightDragger.iv
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2013-12-01 15:49:28 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!